Bug 1253353 (CVE-2015-6242)

Summary: CVE-2015-6242 wireshark: memory manager crash (wnpa-sec-2015-22)
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anemec, huzaifas, lemenkov, phatina, rvokal, sardella, sisharma
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150811,reported=20150812,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,rhel-7/wireshark=notaffected,fedora-all/wireshark=affected
Fixed In Version: wireshark 1.12.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-12 03:29:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1253364    
Bug Blocks: 1253363    

Description Martin Prpič 2015-08-13 14:28:26 UTC
It was reported that Wireshark's could crash when freeing invalid memory. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in the following Wireshark versions: 1.12.7.

Upstream bug(s):

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11373

External References:

https://www.wireshark.org/security/wnpa-sec-2015-22

Comment 1 Martin Prpič 2015-08-13 14:34:42 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1253364]

Comment 2 Fedora Update System 2015-08-22 02:50:51 UTC
wireshark-1.12.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wireshark'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13945

Comment 3 Fedora Update System 2015-08-22 16:24:06 UTC
wireshark-1.12.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wireshark'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13946

Comment 4 Adam Mariš 2015-08-26 16:21:01 UTC
CVE was assigned:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-6242

Comment 5 Fedora Update System 2015-09-04 03:24:24 UTC
wireshark-1.12.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-10-07 06:21:27 UTC
wireshark-1.12.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Siddharth Sharma 2015-11-09 05:47:05 UTC
Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5, 6 and 7.